Bug 1126776 - Gateway expressions does not respect Import section
Summary: Gateway expressions does not respect Import section
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Radovan Synek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-05 09:01 UTC by Anton Giertli
Modified: 2018-01-31 04:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Anton Giertli 2014-08-05 09:01:38 UTC
Description of problem:

Even if the model class is properly imported in the Import section, this class can't be resolved in the gateway expression

Version-Release number of selected component (if applicable):
bpm 6.0.2

How reproducible:
always

Steps to Reproduce:
1. Create model class using Data Modeler
org.redhat.gss.Person
attribute name:String

2. Create new process, with following structure:

start->xorgateway---expression--> script -> end
                 ---expression--> script -> end 
3. COnfigure the important statements, on the process level, like this:
org.redhat.gss.Person|default
4. Create process variable person:Person
5. Now implement one of the expression, like this:
return  KieFunctions.contains(person.getName(),"admin");
6. Save the process

7. Following can be observed
Person cannot be resolved to a type Person cannot be resolved to a type

Actual results:
Import statements are not respected in the Gateway Expression

Expected results:
Import statements are respected in the Gateway Expression

Additional info:

workaround is to define process variable using FQCN, i.e.

person:org.redhat.gss.Person
instead of
person:Person

Comment 1 Kris Verlaenen 2014-08-18 09:17:08 UTC
Variables should currently always be defined using FQN, this is not just for gateway expressions.


Note You need to log in before you can comment on or make changes to this bug.